gom (0.30.2-9) unstable; urgency=medium

  * [aa941a0] debian/control: Update VCS URLs after salsa move.
  * [5ceed68] debian/gbp.conf: Make pristine-tar default.

 -- Stephan Sürken <absurd@debian.org>  Sun, 29 Apr 2018 12:41:56 +0200

gom (0.30.2-8) unstable; urgency=medium

  * [a192ce1] control: Update Vcs-*-Urls to anonscm.
  * [481fa8b] Replace Debian menu by desktop file (updates Std-Ver to
    3.9.8).
  * [c789777] control: Recommend osspd.
  * [3705977] gom.preinst: Add note (that this is cleaning up only).

 -- Stephan Sürken <absurd@debian.org>  Wed, 24 Aug 2016 08:56:34 +0000

gom (0.30.2-7) unstable; urgency=medium

  * [0fce0b8] Remove initalization via rc.S. (Closes: 796614)
  * [9601a5c] control: Update Stds-Vers. to 3.9.7, no changes needed (not
    3.9.8, still using Debian menu system).
  * [631a437] .gitignore: Add new debhelper temporaries.

 -- Stephan Sürken <absurd@debian.org>  Sun, 03 Jul 2016 12:29:26 +0000

gom (0.30.2-6) unstable; urgency=low

  * [b85f3c5] Ack all NMU changes (0.30.2-5..0.30.2-5.4). Thx!
  * [6292779] Update translation: ja.po. (Closes: 717708)
  * [582059d] control: Update Stds-Ver to 3.9.5 (no changes needed).
  * [3968dc8] gom.init: Source the lsb init functions for systemd (Fixes lintian warning).
  * [45479d6] debian: Update delhelper compat level to 9 (Fixes lintian: hardening-no-relro).
  * [0620ab6] [vc] Add .gitignore

 -- Stephan Sürken <absurd@debian.org>  Tue, 19 Nov 2013 20:02:36 +0100

gom (0.30.2-5.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/default/gom":
    - don't ship /etc/default/gom, it's created in the postinst
    - update handling of /etc/default/gom in postinst:
      + create a new file if it doesn't exist
      + update the existing one otherwise (instead of always writing it from
        scratch, thus overwriting comments etc.)
      + don't put date in /etc/default/gom
    - remove in in postrm/purge
    (Closes: #688378)

 -- gregor herrmann <gregoa@debian.org>  Wed, 03 Oct 2012 22:17:10 +0200

gom (0.30.2-5.3) unstable; urgency=low

  * Non-maintainer upload.
  * Debconf translations:
    - Czech, Miroslav Kure. (Closes: #687186)

 -- David Prévot <taffit@debian.org>  Mon, 10 Sep 2012 21:30:35 -0400

gom (0.30.2-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Mark all debconf messages translatable.
  * Debconf translations:
    - Danish, Joe Hansen. (Closes: #666534, #686285)
    - Slovak, Slavko. (Closes: #685374, #686022)
    - Polish, Michał Kułach. (Closes: #685703, #686395) 
    - Italian, Beatrice Torracca. (Closes: #685899)
    - Russian, Yuri Kozlov. (Closes: #686018)
    - Basque, Iñaki Larrañaga Murgoitio. (Closes: #686069)
    - French, Christian Perrier. (Closes: #686187)
    - German, Erik Pfannenstein. (Closes: #686279)
    - Dutch, Jeroen Schot. (Closes: #686439)
    - Spanish, Camaleón. (Closes: #686435)
    - Portuguese, Miguel Figueiredo. (Closes: #686432)
    - Swedish, Martin Bagge. (Closes: #686446)
    - Brazilian Portuguese, José dos Santos Júnior. (Closes: #686457)
    - Norwegian Bokmål, Bjørn Steensrud. (Closes: #686529) 

 -- David Prévot <taffit@debian.org>  Sun, 02 Sep 2012 17:43:01 -0400

gom (0.30.2-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Debconf translations:
    - Japanese. (Closes: #602153)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 14 Dec 2011 12:25:32 +0900

gom (0.30.2-5) unstable; urgency=low

  * [68828a6] Add es.po translation; update using debconf-updatepo.
    (Closes: 584445) - thanks to Camaleón

 -- Stephan Sürken <absurd@debian.org>  Fri, 04 Jun 2010 12:20:41 +0200

gom (0.30.2-4) unstable; urgency=low

  * [432a47b] Update stds-ver tpo 3.8.4 (no changes needed).
  * [f9bf735] Update to 3.0 (quilt).

 -- Stephan Sürken <absurd@debian.org>  Wed, 24 Feb 2010 17:38:23 +0100

gom (0.30.2-3) unstable; urgency=low

  * [08ab33b] control: Sync maintainer name notation
  * [355b83f] control: Update stds-ver to 3.8.3 (no changes needed)
  * [b39e7e1] control: Migrated to git, updating VC meta info.
  * [ff5bf5a] control, compat: Update to debhelper 7.
  * [8a8445e] rules: Greatly simplify using dh7 sequences and overrides
  * [6681a4b] gom.init: Cosmetic change in LSB section

 -- Stephan Sürken <absurd@debian.org>  Thu, 17 Sep 2009 20:11:51 +0200

gom (0.30.2-2) unstable; urgency=low

  * Add Homepage to control.
  * copyright: Also add GPL header as recommended.
  * control: Cut out the "A" from my name
    (fixes wrong lintian NMU warning).
  * debhelper: Update compat to 5 (no changes needed).
  * [svn] remove obsolete .cvsignore.

 -- Stephan Suerken <absurd@debian.org>  Sat, 05 Jul 2008 14:44:02 +0000

gom (0.30.2-1) unstable; urgency=low

  * Ack NMU: Add LSB dependency header to init.d scripts (Closes: #468312).
    Thanks.
  * Update to standards version 3.7.3:
    * Fix menu entry from "Apps/Sound" to "Applications/Sound".
  * debconf: As we use it in preinstall, Pre-Depend on debconf (fixes lintian
    warning).
  * config: Rename to gom.config for consistency.
  * copyright: Pimp style and use UTF-8 copyright sign (fixes lintian
    warning). Add updated new download location.
  * rules, postinst, postrm, gom.modutils: Removing support for auto-init
    on module load; add note to README.Debian.
    Fixes: "Either update or remove mixer initialisation on module",
    thanks to Lucas Nussbaum (Closes: #408243).
    Also fixes the big install warning not to use update-modules ;).
  * New upstream 0.30.2 (some updates to outdated docs only).

 -- Stephan Suerken <absurd@debian.org>  Sun, 11 May 2008 17:30:42 +0000

gom (0.30.1-4.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #468312).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 Mar 2008 00:23:49 +0200

gom (0.30.1-4) unstable; urgency=low

  * Remove build run cruft from svn.
  * Add pt_BR debconf translation; thanks to "Eder L. Marques".
    (Closes: #447149)

 -- Stephan A Suerken <absurd@debian.org>  Sun, 13 Jan 2008 17:06:31 +0000

gom (0.30.1-3) unstable; urgency=low

  * Moving pkg development to alioth, collab-maint.
  * control: Add Xs-Vcs-Svn and -Browser information.
  * Ack NMU 2.1; thanks.
  * lintian warnings fixed:
    - rules: Don't ignore distclean errors.
  * control: Update to standards version 3.7.2 (no changes needed).
  * Bug fix: "gom: [INTL:de] initial German debconf translation", thanks
    to Helge Kreutzmann (Closes: #411281) [was already included in NMU].
  * Bug fix: "[INTL:nl] Dutch po-debconf translation", thanks to cobaco
    (aka Bart Cornelis) (Closes: #423052).

 -- Stephan A Suerken <absurd@debian.org>  Sun, 05 Aug 2007 08:59:49 +0000

gom (0.30.1-2.1) unstable; urgency=low

  * Non-maintainer upload to fix pending debconf issues.
  * Switch to po-debconf for debconf templates. Closes: #356202
  * Rewrite the debconf templates to comply with the Developer's Reference
    recommendations
  * Debconf translations:
    - French
    - Galician. Closes: #411189
    - Portuguese. Closes: #411184
    - Tamil. Closes: #411212
    - Czech. Closes: #411221
    - Swedish. Closes: #411229
    - Russian. Closes: #411241
    - Basque. Closes: 411461
    - Romanian. Closes: #411518

 -- Christian Perrier <bubulle@debian.org>  Mon, 19 Feb 2007 18:08:41 +0100

gom (0.30.1-2) unstable; urgency=low

  * postrm|inst: Check for update-modules before calling.
    Fixes: "gom: postinst fails: line 21: update-modules: command not
    found", thanks to Lucas Nussbaum (Closes: #408243).

 -- Stephan A Suerken <absurd@debian.org>  Fri, 26 Jan 2007 12:38:58 +0000

gom (0.30.1-1) unstable; urgency=low

  * New upstream.
    - Fixes: "gom: FTBFS on GNU/kFreeBSD", thanks to Petr Salinger
      (Closes: #364884)).

 -- Stephan A Suerken <absurd@debian.org>  Sat, 17 Jun 2006 14:31:21 +0200

gom (0.30.0-2) unstable; urgency=low

  * Obsoleting binary package gom-x (X binary deprecated upstream):
    - Package "gom" conflicts/replaces "gom-x".
    - No more gom-ct, gom-ctx binaries, removal of all alternatives handling.
    - Reverting change to gom-ct binary in upstream's gomconfig script.
    - Removal of superfluous extra gom-ct, gom-ctx manpages.
  * Update to debhelper compat level 4.
    - Remove now-obsolete extra "conffile" config.
  * rules: Update "./configure" call && use upstream's "make install".
  * rules: Remove obsolete "source diff" target.
  * rules: Don't use /bin/bash explicitely as SHELL (?).
  * Bug fix: "gom: please use debconf", thanks to Lars Wirzenius (Closes:
	  #328320):
    - Not calling gomconfig at all from control scripts.
    - Using mixer defaults as standard config files.
    - purge: Only ask for (rm -rf) if there are files left in /etc/gom.
  * Fix: Add ${misc:Depends} for proper (debconf) deps.
  * Update to standards version 3.6.2 (debconf).
  * A lot of textual updates.
  * debian/*: Prefixing all files for binary package gom.

 -- Stephan A Suerken <absurd@debian.org>  Tue,  7 Mar 2006 22:19:24 +0000

gom (0.30.0-1) unstable; urgency=low

  * New upstream version (Closes: #149421). From upstream's NEWS:
    .
    This is a long-due update release (last release was back in 1999),
    fixing two pending problems (powerpc, BSD), got some long-due internal
    changes done. Only some new features for better scripting ability are
    added.
    .
    The X interface is rather obsolete, and not really maintained. I
    (again) left it in the package, though ;). Just use the ncurses
    interface (gom -it) if possible.
    .
    As for ALSA support, afaics there's no point in a gom driver backend,
    as gom's internal API does not support all ALSA features. So, the same
    practical result is achieved by using ALSA's OSS compatibility
    modules. If you need special ALSA support, use some dedicated ALSA
    mixer utility.
  * debian/control: Updated package descriptions (be more pragmatic).
  * debian/menu*: Quoting all menu entry items, fixing lintian warnings.
  * strap_auto removed again; obsoleted by upstreams auto_bootstrap.
  * debian/rules: Using -X in dh_installexamples to avoid CVS dirs. This
    also fixes a lintian warning.

 -- Stephan A Suerken <absurd@debian.org>  Mon, 31 May 2004 16:09:16 +0000

gom (0.29.103-12) unstable; urgency=low

  * Recompile with gcc-3.3.
  * Honoring DEB_BUILD_OPTIONS for CFLAGS (Policy 10.1).
  * Updating to standards version 3.6.1.
  * Re-strapped autotools with autoconf 2.57 + automake 1.7.
	  Added "strap_auto" script for that.
  * Bug fix: "gom: add support for ALSA in /etc/modutils/gom", thanks to
	  Ludovic Rousseau (Closes: #192451).

 -- Stephan A Suerken <absurd@debian.org>  Fri, 10 Oct 2003 18:37:16 +0200

gom (0.29.103-11) unstable; urgency=low

  * Fixed init.
    Closes: #108479.
  * Bug #56409 is ancient, for version -2, I couldn't ever reproduce the bug,
    and gom-x_0.29.103-10 is now available for powerpc. So this
    Closes: #56409. (feel free to reopen if there is still a problem).
  * Re-adding "gom-x.prerm" to CVS tree (it somehow got lost ;).
    Closes: #104592.

 -- Stephan A Suerken <absurd@debian.org>  Sun, 10 Feb 2002 20:45:02 +0100

gom (0.29.103-10) unstable; urgency=low

  * Note: 0.29.103-9 was rejected by dinstall. Treat that version as non-existent. I have purged
    all instances. This changelog has all changes of -9 merged in.
  * Fixed bashism "source" -> "." in /etc/init.d/gom.
    Closes: #99451.
  * Corrected man pages as suggested in Bug #97051, supposed to cure man-db's parse errors.
    Closes: #97051.
  * Initialization via /etc/init.d/gom now works for both kernel 2.2 and 2.4.
    Closes: #98982.
  * Bug #56409 (powerpc) is due to the fact that powerpc obviously does not catch up, so I 
    can't do anything about it. Please comment if that is wrong.
  * Added support for debug in DEB_BUILD_OPTIONS.
  * Purged some old slink compat things from scripts.
  * Updating Standards-Version 3.5.2 -> 3.5.5:
    - 11.7.3 examples/default now template. Upgrade..ups..ok. New Install..ups..ok.

 -- Stephan A Suerken <absurd@debian.org>  Sun, 17 Jun 2001 19:56:39 +0200

gom (0.29.103-8) unstable; urgency=low

  * rules, control, etc: dh_installmanpages to dh_installman.
  * More FHS: Using usr/bin usr/share/man for all bins / mans.
  * Removed bashism in init script.
    Closes: #92875.
  * Checked archs: Consistent on all supported archs except
    - powerpc: obviously due to missing xview. There is a recent successful
               xview buildlog on voltaire, so hopefully gom will eventually be
               available here too (Compare #56409).

 -- Stephan A Suerken <absurd@debian.org>  Fri,  6 Apr 2001 19:36:28 +0200

gom (0.29.103-7) unstable; urgency=low

  * Updated Standards-Version from 3.0.0 to 3.5.2:
    - Build-Depends: debhelper, libncurses5-dev, xutils, xviewg-dev
      (n.b.: xutils: at least on i386, ./configure needs xmkmf)
      Closes: #85197.
    - We seem to violate 12.8, but I am leaving this until xview is phased
      out by upstream (many people do not want to install xview, btw ;).
    - Adding /etc/default/gom. Consequently changing /etc/init.d/gom, postinst,
      README.Debian; removing /etc/gom/NO_AUTO_INIT.
  * Making lintian happy:
    - Removed hint to /usr/doc in "copyrights" for pre-potato dists.
    - Fixing preinst: using "tempfile".
  * Misc:
    - Bug 68784 is not a bug, rather pointing to some non-intuitively
      understandable but documented fact ;). Closing this now.
      Closes: #68787.

 -- Stephan A Suerken <absurd@debian.org>  Sun, 25 Feb 2001 04:17:20 +0100

gom (0.29.103-6) frozen unstable; urgency=low

  * Added clarification about ALSA/initialization to README.Debian.
    Closes: #56119, #56493.

 -- Stephan A Suerken <absurd@debian.org>  Wed,  2 Feb 2000 11:20:02 +0100

gom (0.29.103-5) frozen unstable; urgency=low

  * Version in frozen is currently 0.29.103-3. This version solves
    two bugs and improves installation scripts.
  * Added conflict for gom on ancient gom-x.
    Closes: #55311.
 
 -- Stephan A Suerken <absurd@debian.org>  Wed, 19 Jan 2000 17:39:02 +0100

gom (0.29.103-0.slink.4) unstable; urgency=low

  * Recompile for slink.
  * postinst: Hack to find default config with slink debhelper.

 -- Stephan A Suerken <absurd@debian.org>  Sun, 16 Jan 2000 01:57:42 +0100

gom (0.29.103-4) unstable; urgency=low

  * postinst: Removed conf. check on upgrades.
    Closes: #54845.
  * postinst: Making NO_AUTO_INIT default for new installs; +remarks.
  * postinst: Copying new default config for upgrades from
    ancient versions.
  * postinst: Cosmetic/internal changes.
  * rules: Hack to make gom-ctx.1 symlink valid with slink debhelper.

 -- Stephan A Suerken <absurd@debian.org>  Sat, 15 Jan 2000 23:08:31 +0100

gom (0.29.103-3) unstable; urgency=low

  * Fixed maintainer name in debian/control to "Stephan A Suerken". Might be
    the reason for dinstall thinking I do NMUs.
  * Improved init.d/gom and modutils/gom.
    Closes: #50561. Might be really closed this time.

 -- Stephan A Suerken <absurd@debian.org>  Thu,  6 Jan 2000 07:19:55 +0100

gom (0.29.103-2) unstable; urgency=low

  * Mixer initialization improvements:
    - added test for binary existence (init.d/gom). This actually
      was a bug.
    - sane message now if it fails (for autoloaded sound: no more
      annoying error messages on bootup).
    - New conffile /etc/modutils/gom for initialization when using
      sound as module.
    - cosmetic changes.
    Closes: #50561.
  * Files /etc/gom/* no longer conffiles. 100% handled by scripts.

 -- Stephan A Suerken <absurd@debian.org>  Tue,  4 Jan 2000 01:50:09 +0100

gom (0.29.103-1) unstable; urgency=low

  * New upstream. Closes: #43940.
  * Adding stubborn default configuration (working out-of-the-box
    on many installations). Closes: #45925.
  * Using FHS debhelper. Changes in rules to cope with usr/share. Fear build will
    fail with non-FHS debhelper ;(
  * Added reference to /usr/share/common-licenses/GPL in doc/copyright.
  * Checked upgrade-policy (3.0.0); Faithfully updated standards version to 3.0.0.
  * Changed postinst configuration handling. Forcing interactive configuration on
    new installs or versions <0.29.99, else only configuration check (and no stopping).
  * Moved some information from postinst to README.Debian.

 -- Stephan A Suerken <absurd@debian.org>  Wed, 27 Oct 1999 03:52:34 +0200

gom (0.29.102-2) unstable; urgency=low

  * Forgot to change gomconfig references to /usr/bin/gom-ct in the new
    upstream. Sigh. (see 0.29.99-2; this will falsify gomconfig if: updating
    from 0.29.10 && gom-x installed && gom-x is default alternative)

 -- Stephan Alexander Suerken <absurd@debian.org>  Sat, 28 Aug 1999 03:24:08 +0200

gom (0.29.102-1) unstable; urgency=low

  * New upstream.
  * New upstream has own example dir - using that.
  * Added preinst entry deleting obsolete /etc/rc.boot/gom file. (closes: #42110).
  * /etc/init.d/gom will now exit 0 even if configuration is invalid (this caused
    the install process to stop in that case...)
  * Added reference to /usr/share/common-licenses/GPL in doc/copyright.
  * Added note about gom bootup initialization + sound as module to postinst.

 -- Stephan Alexander Suerken <absurd@debian.org>  Fri, 27 Aug 1999 07:06:32 +0200

gom (0.29.99-2) unstable; urgency=low

  * Changed references to gom to /usr/bin/gom-ct to avoid wrong binary problems with
    gomconfig, init.d/gom on update.
  * Closing old obsolete Bug#29416 :).
  * Removing possible bashism from postinst, closing Bug#40274.

 -- Stephan Alexander Suerken <absurd@debian.org>  Wed, 30 Jun 1999 23:37:40 +0200

gom (0.29.99-1) unstable; urgency=low

  * New upstream source. Closes #25448, #34488.
  * Several internal changes due to the new upstream.
  * Moved system bootup script from /etc/rc.boot to /etc/init.d + /etc/rcS.d handling,
    as it is obviously policy. Closes #32440.
  * Added postrm/purge entry to (optionally) remove /etc/gom.

 -- Stephan Alexander Suerken <absurd@debian.org>  Fri, 25 Jun 1999 15:02:44 +0200

gom (0.29.10-5.1) unstable; urgency=low

  * Cosmetic change in gomconfig. Solves #29416.

 -- Stephan Alexander Suerken <absurd@debian.org>  Sun, 22 Nov 1998 12:53:23 +0100

gom (0.29.10-5) unstable frozen; urgency=low

  * Recompilation because of missing X support in gom-ctx. The ./configure
    script needed some help...
    Thanks to Ionutz Borcoman <borco@borco-ei.eng.hokudai.ac.jp> for reporting this.

 -- Stephan Alexander Suerken <absurd@debian.org>  Wed, 18 Nov 1998 07:09:33 +0100

gom (0.29.10-4) unstable frozen; urgency=low

  * Recompilation for slink. Fixes false dependency on ncurses3.4.
  * Patched source code to avoid bug with snprintf. Fixes shortopts
    and the help messages.
  * Added warning to README.Debian not to call an interface in /etc/gom/gomrc
    (see bug 25448).
  * Fixed bug in gomconfig: now creating ~/.gom or /etc/gom if non-existent.
  * Added option '--purge' to gomconfig.

 -- Stephan Alexander Suerken <absurd@debian.org>  Sun, 24 May 1998 23:20:54 +0200

gom (0.29.10-3) unstable frozen; urgency=low

  * Upload to frozen to close Bugs on gom_0.29.10-1.1.deb, thusly adding
    binary package gom-x to frozen, too.
  * gom-ctx now in usr/X11R6/.
  * Plus /usr/sbin/gomconfig, changes in package configuration.
  * Closing Bug#12332 (an already closed bug I added long ago myself merely for testing
    purposes :).

 -- Stephan Alexander Suerken <absurd@debian.org>  Mon,  4 May 1998 21:14:32 +0200

gom (0.29.10-2) unstable; urgency=low

  * Converted from debstd to debhelper.
  * Update to Standards-Version 2.4.0.0.
  * Added menu support.
  * Conffiles gomrc, default, rc.boot/gom (possible mixer init on boootup) added.
  * Corrected invalid Standards-Version (Bug#14695, Bug#16749).
  * Mixed dependencies fixed (Bug#14794).
  * Lintian Bug Report#19320:
    a) The copyright file now refers to the _un_compressed
       /usr/doc/copyright/GPL.
    b) Added pseudo man pages for gom-[c|ct|ctx] binaries.
    c) Fixed missing /usr/doc/gom-x && copyright notice for gom-x.

 -- Stephan Alexander Suerken <absurd@debian.org>  Wed, 22 Apr 1998 18:59:49 +0200

gom (0.29.10-1) unstable; urgency=low

  * New upstream release.
  * Fundamental package reconstruction.
  * Developed under hamm.

 -- Stephan Alexander Suerken <absurd@debian.org>  Sun, 28 Sep 1997 22:00:12 +0200

gom (0.29.8-1) unstable; urgency=low

  * Initial Release.

 -- Stephan Alexander Suerken <absurd@debian.org>  Thu, 31 Jul 1997 19:35:21 +0200
